Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.gui
Class QStyleOptionMenuItem.MenuItemType

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.gui.QStyleOptionMenuItem.MenuItemType

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QStyleOptionMenuItem

    public static final class QStyleOptionMenuItem.MenuItemType

extends java.lang.Enum
implements QtEnumerator

This enum indicates the type of menu item that the structure describes.

See also:
  menuItemType.

See Also:
  Serialized Form

Field Summary
`static QStyleOptionMenuItem.MenuItemType` | `DefaultItem` A menu item that is the default action as specified with `QMenu::defaultAction()`.
`static QStyleOptionMenuItem.MenuItemType` | `EmptyArea` The empty area of the menu.
`static QStyleOptionMenuItem.MenuItemType` | `Margin` The margin of the menu.
`static QStyleOptionMenuItem.MenuItemType` | `Normal` A normal menu item.
`static QStyleOptionMenuItem.MenuItemType` | `Scroller` A popup menu scroller (currently only used on Mac OS X).
`static QStyleOptionMenuItem.MenuItemType` | `Separator` A menu separator.
`static QStyleOptionMenuItem.MenuItemType` | `SubMenu` Indicates the menu item points to a sub-menu.
`static QStyleOptionMenuItem.MenuItemType` | `TearOff` A tear-off handle for the menu.

Method Summary
`static QStyleOptionMenuItem.MenuItemType` | `resolve(int value)` Returns the QStyleOptionMenuItem$MenuItemType constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QStyleOptionMenuItem.MenuItemType` | `valueOf(java.lang.String name)`
`static QStyleOptionMenuItem.MenuItemType[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Normal

    public static final QStyleOptionMenuItem.MenuItemType Normal

  A normal menu item.

### DefaultItem

    public static final QStyleOptionMenuItem.MenuItemType DefaultItem

  A menu item that is the default action as specified with `QMenu::defaultAction()`.

### Separator

    public static final QStyleOptionMenuItem.MenuItemType Separator

  A menu separator.

### SubMenu

    public static final QStyleOptionMenuItem.MenuItemType SubMenu

  Indicates the menu item points to a sub-menu.

### Scroller

    public static final QStyleOptionMenuItem.MenuItemType Scroller

  A popup menu scroller (currently only used on Mac OS X).

### TearOff

    public static final QStyleOptionMenuItem.MenuItemType TearOff

  A tear-off handle for the menu.

### Margin

    public static final QStyleOptionMenuItem.MenuItemType Margin

  The margin of the menu.

### EmptyArea

    public static final QStyleOptionMenuItem.MenuItemType EmptyArea

  The empty area of the menu.

Method Detail

### values

    public static QStyleOptionMenuItem.MenuItemType[] values()

### valueOf

    public static QStyleOptionMenuItem.MenuItemType valueOf(java.lang.String name)

### value

    public int value()

  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QStyleOptionMenuItem.MenuItemType resolve(int value)

  Returns the QStyleOptionMenuItem$MenuItemType constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD